+ Responder ao Tópico



  1. #1

    Padrão your system had a kernel failure

    Acabei de instalar o Debian 5.0 - Lenny pela primeira vez. A instalação correu certinha sem problema algum, só que quando entro no sistema pelo modo gráfico (Gnome) o mesmo lança a seguinte mensagem: "your system had a kernel failure" o que está acontecendo? Como posso resolver isso? O Lenny foi liberado com BUGS? Uso Debian a muito tempo e nunca tinha visto algo do tipo.

    Obrigado a todos e aguardo qualquer tipo de ajuda.

    Abraço.

  2. #2

    Padrão

    de uma olhada nos logs

    /var/log/messages
    /var/log/........


    veja as mensagens de erro.. talvez a solução esteja até escrita :P



  3. #3

    Padrão

    Citação Postado originalmente por alexandrecorrea Ver Post
    de uma olhada nos logs

    /var/log/messages
    /var/log/........


    veja as mensagens de erro.. talvez a solução esteja até escrita :P
    Dei uma olhada conforme você recomenda, mas a única coisa suspeita que eu encontrei foi essa aí:

    Feb 27 20:41:53 lenny kernel: [ 59.652087] mtrr: your processor doesn't support write-combining
    Feb 27 20:49:17 lenny kernel: imklog 3.18.6, log source = /proc/kmsg started.
    Feb 27 20:49:17 lenny rsyslogd: [origin software="rsyslogd" swVersion="3.18.6" x-pid="1805" x-info="http://www.rsyslog.com"] restart

    Confesso que estou "voando" com isso, pois a máquina é um sempron 2800 e na mesma já instalei todo tipo de OS e Linux de varias DISTRIBUIÇÕES e VERSÕES e nunca tive problemas. Pelo que pude entender na referida linha do "log" é que não a suporte para o processador em questão. É isso mesmo?

    Obrigado pela sua atenção e aguardo comentarios.

    Abraço.

  4. #4

    Padrão

    qual kernel ? ja verificou se tem algum update do kernel ?

    aconselho usar 32bits em semprom...



  5. #5

    Padrão

    Citação Postado originalmente por alexandrecorrea Ver Post
    qual kernel ? ja verificou se tem algum update do kernel ?

    aconselho usar 32bits em semprom...
    Respondendo:

    1) O kernel é o 2.6.26-1-686.
    2) Não verifiquei update do kernel não, pois atualizei todo o sistema durante a instalação.
    3) Estou utilizando o 32bits para essa máquina.

    Outra coisa: Essa mensagem aparentemente só é lançada quando carrego o modo gráfico (Gnome).

    Obrigado mais uma vez pela sua atenção e aguardo retorno

    Forte abraço.
    Última edição por aprendiz_ce; 28-02-2009 às 09:10.

  6. #6

    Padrão

    o processador parece nao suportar alguma opção que este kernel ai esta ativo.. (mtrr) ..

    talvez seja necessario recompilar !!



  7. #7

    Padrão

    Citação Postado originalmente por alexandrecorrea Ver Post
    o processador parece nao suportar alguma opção que este kernel ai esta ativo.. (mtrr) ..

    talvez seja necessario recompilar !!
    Será?!?!

    Nunca vi isso antes, já ví problema semelhante quando a máquina (processador) é nova e a DISTRO meio que antiga, daí pode não reconhecer, mas nesse caso é bem estranho, já que o processador em questão é bem popular e antigo.

    Obrigado mais uma vez pela valiosa atenção e se tiver algo a acrescentar, será bem vindo.

    Abraço.

  8. #8

    Padrão

    ola pode acontecer de o 2.6.26-1-686 do debian 5.0 lenny agora vir compilado com algumas opções no kernel que esta gerando isso.

    seria o caso se for preciso pegar no kernel uma versão mais nova ou a mesma e compilar um novo kernel e esta parte (mtrr) vir desativada.

    eu já passei por problema bem próximo a isso, quando em micro usava o archlinux, e depois atualizei o archlinux e nova versão de kernel tinha uma flag ativada que não foi possível usar mais o kernel oficial do archlinux. uma distro que o foco é otimização para i686 e x86_64. ai micro que deveria ser um i486 ou i586 com kernel oficial do archlinux não roda.

    Arch Linux



  9. #9

    Padrão

    Citação Postado originalmente por avena Ver Post
    ola pode acontecer de o 2.6.26-1-686 do debian 5.0 lenny agora vir compilado com algumas opções no kernel que esta gerando isso.

    seria o caso se for preciso pegar no kernel uma versão mais nova ou a mesma e compilar um novo kernel e esta parte (mtrr) vir desativada.

    eu já passei por problema bem próximo a isso, quando em micro usava o archlinux, e depois atualizei o archlinux e nova versão de kernel tinha uma flag ativada que não foi possível usar mais o kernel oficial do archlinux. uma distro que o foco é otimização para i686 e x86_64. ai micro que deveria ser um i486 ou i586 com kernel oficial do archlinux não roda.

    Arch Linux
    Entendi, então é recompilar o Kernel desativando essa opção e pronto? O que seria extamente esse "mtrr", você sabe?

    Obrigado e aguardo retorno.

    Abraço.